# Copyright 2014, 2015 Kevin Ryde
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# This file is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this file.  See the file COPYING.  If not, see
# <http://www.gnu.org/licenses/>.

# 'triangle_chamfer',

# not quite right
sub triangle_chamfer {
  my ($x1,$y1, $x2,$y2, $x3,$y3, $L, $D) = @_;
  $L //= '\MyGapL';
  $D //= '\MyGapD';
  my ($dx,$dy) = ($x2-$x1, $y2-$y1);
  my ($rx,$ry) = xy_rotate_minus90($dx,$dy);
  if ($L ne '0') {
    $x1 .= chamfer( $dx + $rx, $L);
    $y1 .= chamfer( $dy + $ry, $L);
    $x2 .= chamfer(-$dx + $rx, $L);
    $y2 .= chamfer(-$dy + $ry, $L);
  }
  if ($D ne '0') {
    $x1 .= chamfer( $dx, $D);
    $y1 .= chamfer( $dy, $D);
    $x2 .= chamfer( $dx, $D);
    $y2 .= chamfer( $dy, $D);
    $x3 .= chamfer(-$rx, $D);
    $y3 .= chamfer(-$ry, $D);
  }
  return ($x1,$y1, $x2,$y2, $x3,$y3);
}

